
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>vb变量、常数和数据类型及过程概述（一） / iVAN</title>

    <meta name="description" content="vb变量、常数和数据类型及过程概述（一） 在Visual Basic环境下进行计算时,常常需要临时存储数据.例如,可能想要计算几个值,将它们进行比较,并根据比较的结果对它们进行不同的操作.如果想要比较这些值,就要存储它们,但不必把它们存入属性.像大多数编程语言那样,Visual Basic 使用变量来存储值.变量具有名字(用来引用该变量所含的值的名词)和数据类型(确定变量可以存储的数据的种类).数组可以用来存储建立了索引的相关变量集. 常数也存储数值,顾名思义,在整个应用程序执行过程中,这些值都保持不变.常数的使用增加了代码的可读性,因">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">vb变量、常数和数据类型及过程概述（一）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Visual Basic环境下进行计算时，常常需要临时存储数据。例如，可能想要计算几个值，将它们进行比较，并根据比较的结果对它们进行不同的操作。如果想要比较这些值，就要存储它们，但不必把它们存入属性。像大多数编程语言那样，Visual Basic 使用变量来存储值。变量具有名字（用来引用该变量所含的值的名词）和数据类型（确定变量可以存储的数据的种类）。数组可以用来存储建立了索引的相关变量集。<br />
常数也存储数值，顾名思义，在整个应用程序执行过程中，这些值都保持不变。常数的使用增加了代码的可读性，因为我们看到的是具有含义的名字而不是数字。Visual Basic 有许多内部常数，但也可以建立自定义常数。<br />
在Visual Basic中，数据类型控制了数据的内部存储。按照缺省规定，VisualBasic 使用了变体数据类型。在不需要 Variant 提供的灵活性时，还有许多其它可用的数据类型，它们可用来优化代码的速度和大小。</p>
<p>变量<br />
在Visual Basic中执行应用程序期间，用变量临时存储数值。变量具有名字（用来引用变量所包含的值的词）和数据类型（确定变量能够存储的数据的种类）。<br />
可以把变量看作内存中存放未知值的所在处。例如，假定正在为水果铺编一个销售苹果的软件。在销售实际发生之前并不知道苹果的价格和销量。此时，可以设计两个变量来保存未知数，将它们命名为 ApplePrice 和ApplesSold。每次运行程序时，用户就这两个变量提供具体值。为了计算总的销售额，并且将结果显示在名叫 txtSales 的文本框中，代码应该是这样的：<br />
txtSales.txt = ApplePrice * ApplesSold<br />
每次根据用户提供的数值，这个表达式返回不同的金额。由于有了变量，就可以设计一个算式，而不必事先知道实际的输入是多少。<br />
在这个例子中，ApplePrice 的数据类型是货币，而 ApplesSold 的数据类型是整数。变量还可以表示许多其它数值，比如：文本数值、日期、各种数值类型，甚至对象也在此列。</p>
<p>存储和检索变量中的数据<br />
用赋值语句进行计算，并将结果赋予变量：<br />
ApplesSold = 10　'将值 10<br />
'传给变量。<br />
ApplesSold = ApplesSold + 1<br />
'变量值<br />
'增一。<br />
注意，例子中的等号是赋值符，并不是等于操作符；它将数值 (10) 赋予变量 (ApplesSold)。</p>
<p>声明变量<br />
声明变量就是事先将变量通知程序。要用Dim语句声明变量，Dim 语句提供了变量名：<br />
Dim variablename [As type]<br />
在过程内部用Dim语句声明的变量，只有在该过程执行时才存在。过程一结束，该变量的值也就消失了。此外，过程中的变量值对过程来说是局部的，也就是说，无法在一个过程中访问另一个过程中的变量。由于这些特点，在不同过程中就可使用相同的变量名，而不必担心有什么冲突和意想不到变故。<br />
变量名：<br />
1.必须以字母开头。<br />
2.不能包含嵌入的（英文）句号或者嵌入的类型声明字符。<br />
3.不得超过 255 个字符。<br />
4.在同一个范围内必须是唯一的。范围就是可以引用变量的变化域，如一个过程、一个窗体等等。<br />
由于Dim语句中的可选的 As type 子句，可以定义被声明变量的数据类型或对象类型。数据类型定义了变量所存储信息的类型。String、Integer和Currency 都是数据类型的例子。变量也可以包含来自Visual Basic或其它应用程序的对象。Object、Form1和TextBox 都是Visual Basic对象类型或类的实例。<br />
详细信息 关于对象的更详细的信息，请参阅第九章“用对象编程”和第十章“用部件编程”。在本章后面的“数据类型”部分将详细讨论数据类型。声明变量的其它方式：<br />
不在过程内部，而在窗体、标准或类模块的声明段声明变量，这将使变量对模块中的所有过程有效。<br />
用Public关键字声明变量，这将使变量在整个应用程序中有效。<br />
用Static关键字声明一个局部变量，那么，即使过程结束，变量的值也仍然保留着。</p>
<p>隐式声明<br />
在使用一个变量之前并不必先声明这个变量。 例如，可以书写这样一个函数，在其中就不必在使用变量 TempVal 之前先声<br />
明它：<br />
Function SafeSqr (num)<br />
TempVal = Abs (num)<br />
SafeSqr = Sqr (TempVal)<br />
End Function<br />
Visual Basic 用这个名字自动创建一个变量，使用这个变量时，可以认为它就是显式声明的。虽然这种方法很方便，但是如果把变量名拼错了的话，会导致一个难以查找的错误。例如，假定写了这样一个函数：<br />
Function SafeSqr (num)<br />
TempVal = Abs (num)<br />
SafeSqr = Sqr (TemVal)<br />
End Function<br />
乍看起来，这两段代码好像是一样的。但是因为在倒数第二行把 TempVal 变量名写错了，所以函数总是返回 0。当Visual Basic遇到新名字，它分辨不出这是意味着隐式声明了一个新变量呢，还是仅仅把一个现有变量名写错了，于是只好用这个名字再创建一个新变量。</p>
<p>显式声明<br />
为了避免写错变量名引起的麻烦，可以规定，只要遇到一个未经明确声明就当成变量的名字，Visual Basic 都发出错误警告。　要显式声明变量，请<br />
在类模块、窗体模块或标准模块的声明段中加入这个语句：<br />
Option Explicit　<br />
-或-<br />
在“工具”菜单中选取“选项”，单击“编辑器”选项卡，再复选“要求变量声明”选项。这样就在任何新模块中自动插入 Option Explicit 语句，但不会在已经建立起来的模块中自动插入；所以在工程内部，只能用手工方法向现有模块添加 Option Explicit。<br />
如果对包含 SafeSqr 函数的窗体或标准模块执行该语句，那么 Visual Basic将认定 TempVal 和 TemVal 都是未经声明变量，并为两者都发出错误信息。随后就可以显式声明 TempVal。<br />
Function SafeSqr (num)<br />
Dim TempVal<br />
TempVal = Abs (num)<br />
SafeSqr = Sqr (TemVal)<br />
End Function<br />
因为Visual Basic对拼错了的 TemVal 显示错误信息，所以能够立刻明白是什么问题。由于 Option Explicit 语句有助于抓住这些类型的错误，所以最好在所有代码中使用它。<br />
注意 Option Explicit 语句的作用范围仅限于语句所在模块，所以，对每个需要Visual Basic强制显式变量声明的窗体模块、标准模块及类模块，必须将 Option Explicit 语句放在这些模块的声明段中。如果选择“要求变量声明”，Visual Basic 会在后续的窗体模块、标准模块及类模块中自动插入 Option Explicit，但是不会将它加入到现有代码中。必须在工程中通过手工将 Option Explicit 语句加到任何现有模块中。</p>
<p>理解变量的范围<br />
变量的范围确定了能够知晓该变量存在的那部分代码。在一个过程内部声明变量时，只有过程内部的代码才能访问或改变那个变量的值；它有一个范围，对该过程来说是局部的。但是，有时需要使用具有更大范围的变量，例如这样一个变量，其值对于同一模块内的所有过程都有效，甚至对于整个应用程序的所有过程都有效。Visual Basic 允许在声明变量时指定它的范围。</p>
<p>指定变量的有效范围<br />
一个变量在划定范围时被看作是过程级（局部）变量，还是模块级变量，这取决于声明该变量时采用的方式。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTk4LmdpZg==.jpg"></p>
<p>过程内部使用的变量<br />
过程级变量只有在声明它们的过程中才能被识别，它们又称为局部变量。用Dim或者Static关键字来声明它们。例如：<br />
Dim intTemp As Integer<br />
- 或者 -<br />
Static intPermanent As Integer<br />
在整个应用程序运行时，用Static声明的局部变量中的值一直存在，而用Dim 声明的变量只在过程执行期间才存在。<br />
对任何临时计算来说，局部变量是最佳选择。例如，可以建立十来个不同的过程，每个过程都包含称作intTemp的变量。只要每个intTemp都声明为局部变量，那么每个过程只识别它自己的intTemp版本。任何一个过程都能够改变它自己的局部的intTemp变量的值，而不会影响别的过程中的intTemp变量。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:23:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e8%bf%87%e7%a8%8b/" title="过程">过程</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f%e5%a3%b0%e6%98%8e/" title="变量声明">变量声明</a>, <a href="https://www.iamivan.net/tag/%e5%a3%b0%e6%98%8e%e5%8f%98%e9%87%8f/" title="声明变量">声明变量</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f%e5%8f%8a%e6%95%b0%e6%8d%ae/" title="变量及数据">变量及数据</a>, <a href="https://www.iamivan.net/tag/explicit%e5%85%b3%e9%94%ae%e5%ad%97/" title="explicit关键字">explicit关键字</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e9%83%a8%e7%aa%97%e4%bd%93%e5%8f%8a%e6%95%b0%e6%8d%ae%e8%b0%83%e7%94%a8/" title="内部窗体及数据调用">内部窗体及数据调用</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>vb变量、常数和数据类型及过程概述（一）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pL6vZb.html" rel="bookmark">vb变量、常数和数据类型及过程概述（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常数 经常会发现代码包含一些常数值,它们一次又一次地反复出现.还可发现,代码要用到很难记住的数字,而那些数字没有明确意义.在这些情况下,可用常数大幅度地改进代码的可读性和可维护性.常数是有意义的名字,取代永远不变的数值或字符串.尽管常数有点像变量,但不能像对变量那样修改常数,也不能对常数赋以新值.常数有两种来源:1.内部的或系统定义的常数是应用程序和控件提供的.在&quot;对象浏览器&quot;中的 Visual Basic ( VB ) .和 Visual Basic for applications			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz79OKM.html" rel="bookmark">vb变量、常数和数据类型及过程概述（九）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				过程概述 将程序分割成较小的逻辑部件就可以简化程序设计任务.称这些部件为过程,它们可以变成增强和扩展 Visual Basic 的构件. 过程可用于压缩重复任务或共享任务,例如,压缩频繁的计算.文本与控件操作和数据库操作.用过程编程有两大好处:1.过程可使程序划分成离散的逻辑单元,每个单元都比无过程的整个程序容易调试.2.一个程序中的过程,往往不必修改或只需稍作改动,便可以成为另一个程序的构件.在 Visual Basic 中使用下列几种过程:Sub 过程不返回值.Function 过程返回值.			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRkoxp.html" rel="bookmark">vb变量、常数和数据类型及过程概述（十）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标准模块中的过程如果过程名是唯一的,则不必在调用时加模块名.无论是在模块内,还是在模块外调用,结果总会引用这个唯一过程.如果过程仅出现在一个地方,这个过程就是唯一的.如果两个以上的模块都包含同名的过程,那就有必要用模块名来限定了.在同一模块内调用一个公共过程就会运行该模块内的过程.例如,对于Module1 和 Module2 中名为 CommonName 的过程,从 Module2 中调用CommonName 则运行 Module2 中的CommonName过程,而不是 Module1中的 Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKVgnz.html" rel="bookmark">vb变量、常数和数据类型及过程概述（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Numeric 数据类型Visual Basic 支持几种 Numeric 数据类型:Integer(整型).Long(长整型).Single(单精度浮点型).Double(双精度浮点型)和 Currency(货币型).与 Variant 类型相比,Numeric 类型占用的存储空间通常要少.如果知道变量总是存放整数(如 12 )而不是带小数点的数字(如 3.57),就应当将它声明为 Integer 类型或 Long 类型.整数的运算速度较快,而且比其它数据类型占据的内存要少.在 For...N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDrZOM.html" rel="bookmark">vb变量、常数和数据类型及过程概述（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				模块内部使用的变量按照缺省规定,模块级变量对该模块的所有过程都可用,但对其它模块的代码不可用.可在模块顶部的声明段用 Private 关键字声明模块级变量,从而建立模块级变量.例如:Private intTemp As Integer在模块级,Private 和 Dim 之间没有什么区别,但 Private 更好些,因为很容易把它和 Public 区别开来,使代码更容易理解. 所有模块使用的变量为了使模块级的变量在其它模块中也有效,用 Public 关键字声明变量.公用变量中的值可用于应用程序的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBvNOb.html" rel="bookmark">vb变量、常数和数据类型及过程概述（十一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提供可选参数的缺省值 也可以给可选参数指定缺省值.在下例中,如果未将可选参数传递到函数过程,则返回一个缺省值.Sub ListText(x As String, Optional y As _Integer = 12345)List1.AddItem xList1.AddItem yEnd Sub Private Sub Command1_Click ()strName = &quot;yourname&quot; '未提供第二个参数.Call ListText (strName) '添加&quot;yo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2jQQb.html" rel="bookmark">vb变量、常数和数据类型及过程概述（七）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Variant 变量中存储的 Objects可以将 Objects 存储在 Variant 变量中.当需要高效地处理包括 Objects 在内的各种数据类型时,这可能十分有用.例如,一个数组中的所有元素都必须具有相同的数据类型.将数组的数据类型设置成 Variant 就可将Objects 连同其它数据类型一起存入同一个数组中. 数组如果有过用其它语言编程的经历,那么想必会熟悉数组的概念.由于有了数组,可以用相同名字引用一系列变量,并用数字(索引)来识别它们.在许多场合,使用数组可以缩短和简化程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYPOlb.html" rel="bookmark">vb变量、常数和数据类型及过程概述（五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Object 数据类型Object 变量作为 32 位(4 个字节)地址来存储,该地址可引用应用程序中或某些其它应用程序中的对象.可以随后(用 Set 语句)指定一个被声明为 Object 的变量去引用应用程序所识别的任何实际对象.Dim objDb As ObjectSet objDb = OpenDatabase (&quot;c:\Vb5\Biblio.mdb&quot;)在声明对象变量时,请试用特定的类,而不用一般的 Object(例如用 TextBox而不用 Control,或者像上面的例子那样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0eoJp.html" rel="bookmark">vb变量、常数和数据类型及过程概述（八）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用循环操作数组可以用 For 循环嵌套有效的处理多维数组.例如,在 MatrixA 中基于每个元素在数组中的位置为其赋值:Dim I As Integer, J As IntegerStatic MatrixA(1 To 10, 1 To 10) As DoubleFor I = 1 To 10For J = 1 To 10MatrixA (I, J) = I * 10 + JNext JNext I详细信息 关于循环的详细信息,请参阅本章后面的&quot;循环结构&quot;部分. 动态数组数组到底应该			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMymg4M.html" rel="bookmark" class="title">sub 方法</a>
					<div>
						  将 HTML 的 &lt;SUB&gt; 标识放置到 String 对象中的文本两端. strVariable.sub( )&quot;String Literal&quot;.sub( ) 说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpndLZb.html" rel="bookmark" class="title">用PHP实现验证码功能</a>
					<div>
						验证码 目前,不少网站为了防止用户利用机器人自动注册.登录.灌水,都采用了 验证码技术.所谓验证码,就是将一串随机产生的数字或符号,生成一幅图片, 图片里加上一些干扰象素(防止OCR),由用户肉眼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw3LQz.html" rel="bookmark" class="title">ASP实现多域名同一空间的处理实例</a>
					<div>
						以这两个域名为例: http://www.bianceng.cn/ http://club.bianceng.cn/ 假设要把这两个域名都绑在同一个空间上,访问时会跳到不同的目录.不是在IIS设置上实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrZyEp.html" rel="bookmark" class="title">JNI中文处理问题小结</a>
					<div>
						由于工作关系,需要利用JNI在C++与Java程序之间进行方法调用和数据传递,但以前总是在英文环境下工作,对中文(其他语言编码同理)问题反倒没有太关注,最近抽了点时间研究了一下,将自己的体会整理如下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRwkaz.html" rel="bookmark" class="title">win8点击高对比度主题后如何恢复&quest;</a>
					<div>
						win8点击高对比度主题后如何恢复?   方法/步骤: 1.有时我们在不知情的情况下,电脑突然变成让我们惊呆的样子; 2.这是因为电脑设置了[高对比度]的主题;感觉风格特别复古,想几十年前的电脑系统( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WYDJb.html" rel="bookmark" class="title">防止jQuery ajax Load使用缓存的方法小结</a>
					<div>
						 本篇文章主要是对防止jQuery ajax Load使用缓存的方法进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 一.用法  jquery的load函数是请求另一个文件并加载到当前DOM里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72BXRp.html" rel="bookmark" class="title">Mac系统盘空间不足怎么办</a>
					<div>
						  1.首先查看图片占用电脑本身的容量大小,一般是占用很多了. 2.找到图片的存放位置 3.准备一个存放文件的存储盘,最好格式化成MAC OS的能识别的格式. 4.把整个目录拷贝到存储盘之中 5.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oD0Bb.html" rel="bookmark" class="title">电脑回收站中的ai文件无法删除如何解决</a>
					<div>
						  1.从网上下载工具:Q-dir到电脑中,Q-dir是一款多功能资源管理器; 2.打开Q-dir,找到回收站; 3.找到需要删除的AI文件,并右击选择&quot;复制路径&quot;; 4.按Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJDqop.html" rel="bookmark" class="title">找不到文件夹选项</a>
					<div>
						  问:找不到隐藏的文件了,以前设置隐藏文件,可是现在,XP系统里找不到文件夹选项. 答:首先排除不是病毒所致,然后找不到文件夹选项的最简单的解决方法: 找到&quot;开始→运行&quot;,在运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd61ldb.html" rel="bookmark" class="title">openjdk ent inux-linux小白，openjdk问题</a>
					<div>
						问题描述 linux小白,openjdk问题 想请教个问题:我用虚拟机装CentOS7系统,里面有自带的openjdk(我想直接用这个jdk),运行java -version 显示已安装,我还要再设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBqrYz.html" rel="bookmark" class="title">再论：男人有多大责任和感恩代表着有多大的驾驭能力和事业能力</a>
					<div>
						            男人有多大责任和感恩代表着有多大的驾驭能力和事业能力是近来我跟一个老朋友交流的结论,因此今天我在这里详细的说明下.             先解释下什么是责任,什么是感恩    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Ne98M.html" rel="bookmark" class="title">我是如何构建一个持续发展的项目</a>
					<div>
						作者:张开涛 说起项目,每个程序员都应该搭建过自己的项目,而我也搭建过数十个企业级或互联网级项目:在做企业级项目时也抽象了一套通过的开发脚手架ES方便开发,也做过一些通用的代码生成工具来生成通用项目架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7DWdp.html" rel="bookmark" class="title">分布式一致性算法之Paxos原理剖析</a>
					<div>
						概述 Zookeeper集群中,只有一个节点是leader节点,其它节点都是follower节点(实际上还有observer节点,不参与选举投票,在这里我们先忽略,下同).所有更新操作,必须经过lea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7rvyp.html" rel="bookmark" class="title">设计模式笔记 Singleton 单例模式</a>
					<div>
						单例模式大概是最直观的一种设计模式了,尽管直观却不简单. 数学与逻辑学中,singleton定义为&quot;有且仅有一个元素的集合&quot;, 单例模式可以如下定义:&quot;一个类有且仅有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N1y6z.html" rel="bookmark" class="title">mac-MAC OS 公开的驱动源码编译不过的问题</a>
					<div>
						问题描述 MAC OS 公开的驱动源码编译不过的问题 150C http://opensource.apple.com/tarballs/IOSerialFamily/这个是官网的串口驱动源码 下载下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK04Yb.html" rel="bookmark" class="title">数据处理sql server08</a>
					<div>
						问题描述 数据处理sql server08 解决方案 检查登录账户.权限和数据库,登录都失败了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40X5Jz.html" rel="bookmark" class="title">OpenSIPS 1&period;7&period;0发布 开源SIP服务器</a>
					<div>
						OpenSIPS 1.7.0此版本进行了的几个重大改进(DB area对话框支持,TCP和调试)和新功能(如事件通知接口,一个UAC注册模块,脚本支持等). OpenSIPS是一个成熟的开源SIP服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R3BZb.html" rel="bookmark" class="title">全方位网络安全防线如何构筑</a>
					<div>
						一条来源为&quot;1065800&quot;&quot;10086&quot;的短信,让误以为被运营商摊派业务的机主陷入一场精心策划的诈骗陷阱--在回复校验码后,支付宝.三张银行卡.百度钱包里的所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7WXRM.html" rel="bookmark" class="title">The Log&colon; What every software engineer should know about real-time data&amp;&num;039&semi;s unifying abstraction</a>
					<div>
						主要的思想,  将所有的系统都可以看作两部分,真正的数据log系统和各种各样的query engine  所有的一致性由log系统来保证,其他各种query engine不需要考虑一致性,安全性,只需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDndRvM.html" rel="bookmark" class="title">Facebook&OpenCurlyDoubleQuote;赞&rdquo;按钮背后的不为人知的秘密</a>
					<div>
						腾讯科技讯(Kathy)北京时间3月9日消息,据国外媒体报道,对于网站和发布商来说,像Google Analytics这样的数据挖掘工具和Chartbeat这样的网站实时统计服务(它显示谁何时到一个站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnrVrM.html" rel="bookmark" class="title">Omgpop屡战屡败，一飞冲天</a>
					<div>
						Omgpop的成功虽有运气因素,但中国有句老话:屡战屡败,屡败屡战:不飞则已,一飞冲天. 导语:&lt;纽约时报&gt;周一刊文介绍了美国游戏公司Omgpop的从创生到被收购的曲折历程.在推出热门手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmGrAz.html" rel="bookmark" class="title">报告称Twitter信息65&percnt;来自Twitter网站</a>
					<div>
						图为Twitter信息来源分布图 北京时间8月21日早间消息,据国外媒体昨日报道,美国网络数据研究公司Rapleaf发布的研究报告显示,有65%的Twitter信息仍然来自Twitter网站(Twit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVGk7z.html" rel="bookmark" class="title">中国移动的高管变动猜想无意义</a>
					<div>
						最近,中组部中组部前往中移动考察高层人事任命,引起了业内轩然大波.当然对于中国移动这样一个强大的运营商,高层领导的变动,自然是大家关注的大问题.不过有很多的猜测的离谱的,也是没有价值的,我给大家做一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV79anb.html" rel="bookmark" class="title">html中MIME介绍及用途说明</a>
					<div>
						媒体类型通常是通过 HTTP 协议,由 Web 服务器告知浏览器的,更准确地说,是通过 Content-Type 来表示的,例如: Content-Type: text/HTML 表示内容是 text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVX8lz.html" rel="bookmark" class="title">jquery加载页面的方法&lpar;页面加载完成就执行&rpar;&lowbar;jquery</a>
					<div>
						1.$(function(){ $(&quot;#a&quot;).click(function(){ //adding your code here }); }); 2.$(document).re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvynxM.html" rel="bookmark" class="title">JS获取计算机mac地址以及IP的实现方法&lowbar;javascript技巧</a>
					<div>
						JS获取计算机mac地址以及IP的实现方法 复制代码 代码如下: //这两个是系统里的ActiveX插件   用来获取ip以及物理地址 &lt;OBJECT   id=locator   classi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0ym7z.html" rel="bookmark" class="title">php-fpm配置优化详解</a>
					<div>
						下面4个参数的意思分别为: pm.max_children:静态方式下开启的php-fpm进程数量. pm.start_servers:动态方式下的起始php-fpm进程数量. pm.min_spar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GRqLp.html" rel="bookmark" class="title">纳德拉：LinkedIn成为串联微软诸多产品的社交架构</a>
					<div>
						微软CEO萨提亚·纳德拉(Satya Nadella)在会议中表示,Linkedin会保留自己的品牌.文化和独立性.Linkedin CEO杰夫·魏纳(Jeff Weiner)会留任Linkedin  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6PJnM.html" rel="bookmark" class="title">换&OpenCurlyDoubleQuote;芯&rdquo;保安全 东软打造安全可靠高性能防火墙</a>
					<div>
						在信息安全事件频发的今天,全球信息安全产业被极大的催化.而且自三中全会以来,信息安全被提升至国家战略层面,成为一个不容忽视的国家安全战略,是国家安全的关键环节,没有网络安全就没有国家安全已成为高层的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0XwZM.html" rel="bookmark" class="title">家电促销引领时尚最前沿</a>
					<div>
						温馨提示:这里有最便宜的,也有最适合您的,暖冬行动强势启动,家电促销引领时尚最前沿. [2月10日太平洋(601099,股吧)电脑网安徽站]迪兰恒进 HD6850极致1G.该显卡拥有超公版的频率,而且 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
